#ifndef _CUBE_H
#define _CUBE_H

#include <GL/glut.h>


#define TEXTURE_SIZE 512

class Cube {

    private:

	float center_[3];
	float edgeLength_;
	bool readTexmap(char *acFile, GLubyte TexMap[TEXTURE_SIZE][TEXTURE_SIZE][3]);
	void readTextureFile();
	GLuint woodtexture;  // texture handle (name)
//	GLuint LoadTexture(char *TexName);

    protected:

    public:

	float xUpper_;
	float xLower_;
	float yUpper_;
	float yLower_;
	float zUpper_;
	float zLower_;

	Cube(float centerX, float centerY, float centerZ, float edgeLength);
	~Cube();

	//rotation 
	void rotate(float alpha, float beta);

	//translation
	void translate(float dirX, float dirY, float dirZ);
	
	//check if a point is inside the cube
	bool inside(float pointX, float pointY, float pointZ, float *collisionPointX, float *collisionPointY, float *collisionPointZ);

	void draw();
	
	
};	










#endif
