#ifndef _MAIN_H_
#define _MAIN_H_

#include <iostream>
#include <GL/glut.h>
#include "glm.h"
#include "cube.h"
#include "ball.h"
#include "physicsEngine.h"

#define X_DEFAULT_GRAVITY 0.0
#define Y_DEFAULT_GRAVITY -0.04
#define Z_DEFAULT_GRAVITY 0.0



Cube* cube;
Ball* ball[5];
PhysicsEngine* pEngine;

float defaultgravity[3] = {X_DEFAULT_GRAVITY, Y_DEFAULT_GRAVITY, Z_DEFAULT_GRAVITY};
int xspin, yspin, zspin;
GLfloat dist;


void rotateGravityBySpin();
void init();
void display();
void reshape(int w, int h);
void keyboard(unsigned char key, int x, int y);
void mouse(int button, int state, int x, int y);
void idle();
void test(float array[][3]);
int main(int argc, char** argv);


#endif
